<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>The Synopsis Processing Pipeline</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Tutorial" /><link rel="up" href="intro.html" title="Chapter 1. Introduction" /><link rel="prev" href="documenting.html" title="Documenting Source-Code" /><link rel="next" href="using.html" title="Chapter 2. Using the synopsis tool" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Synopsis Processing Pipeline</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="documenting.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Introduction</th><td width="20%" align="right"> <a accesskey="n" href="using.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="processing"></a>The Synopsis Processing Pipeline</h2></div></div></div><p>Synopsis provides a large number of <span class="emphasis"><em>processor</em></span>
        types that all generate or operate on data extracted from source code.
        Parsers parse source code from a variety of languages, linkers combine
        multiple IRs, resolving cross-references between symbols, and formatters
        format the ASG into a variety of output media.</p><div class="mediaobject"><img src="images/cross-reference.png" width="432" /><div class="caption"><p>A typical processing-pipeline to generate API Documentation 
            with source-code cross-references.</p></div></div><p>All these <span class="type">Processor</span> types share a common design, to make 
        it easy to combine them into pipelines, and add custom processors. For more 
        documentation about this architecture, see <a class="xref" href="pipeline.html" title="Composing A Pipeline">the section called “Composing A Pipeline”</a>.</p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="documenting.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="intro.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="using.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Documenting Source-Code </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Chapter 2. Using the synopsis tool</td></tr></table></div></body></html>
